[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [XEN PATCH 1/3] automation: Only build QEMU if Python >= 3.5


  • To: <xen-devel@xxxxxxxxxxxxxxxxxxxx>
  • From: Anthony PERARD <anthony.perard@xxxxxxxxxx>
  • Date: Mon, 20 Jan 2020 11:50:51 +0000
  • Authentication-results: esa6.hc3370-68.iphmx.com; dkim=none (message not signed) header.i=none; spf=None smtp.pra=anthony.perard@xxxxxxxxxx; spf=Pass smtp.mailfrom=anthony.perard@xxxxxxxxxx; spf=None smtp.helo=postmaster@xxxxxxxxxxxxxxx
  • Cc: Anthony PERARD <anthony.perard@xxxxxxxxxx>, Doug Goldstein <cardoe@xxxxxxxxxx>
  • Delivery-date: Mon, 20 Jan 2020 11:51:07 +0000
  • Ironport-sdr: eZJOk88OnqRn8epZJm5bSSvkDau8hARo8V9wSCwv5rthZ87GyBg0IveW1hgMpyRyWb4KxMY5rg /yIXbCLY1kGsJB7dQJq2dOripTq2Wj4ul42DJsgCgLBry6kbsEvhgVm+vpOFlG7MAi9GeeM0Zp itCM/p4zPyImzndDLx7mokv3sCabYl4FgosHB0WjijVObFCWgpdLJmRkrBVqp6SMpZKT0szATr 7K7FRqzGFvX0p/NKxLjdwC9VY+efE0zOLOaDBIqSOdaOGAMMygHZWFDGXhZuJjwRZJzN+ujAYJ ZPo=
  • List-id: Xen developer discussion <xen-devel.lists.xenproject.org>

Recent version of QEMU will not build anymore if Python < 3.5.
That is, QEMU 4.3 not released yet.

That check would also prevent the GitLab CI from building QEMU if
python3 binary isn't present.

Signed-off-by: Anthony PERARD <anthony.perard@xxxxxxxxxx>
---
 automation/scripts/build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/automation/scripts/build b/automation/scripts/build
index 83c44e6ce758..0cd0f3971de5 100755
--- a/automation/scripts/build
+++ b/automation/scripts/build
@@ -28,8 +28,8 @@ if [[ "${CC}" == "clang"* ]]; then
     cfgargs+=("--disable-stubdom")
 fi
 
-# Qemu requires Python 2.7 or later
-if python -c "import sys; res = sys.version_info < (2, 7); exit(not(res))"; 
then
+# Qemu requires Python 3.5 or later
+if ! type python3 || python3 -c "import sys; res = sys.version_info < (3, 5); 
exit(not(res))"; then
     cfgargs+=("--with-system-qemu=/bin/false")
 fi
 
-- 
Anthony PERARD


_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxxx
https://lists.xenproject.org/mailman/listinfo/xen-devel

 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.